Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000046Bananian Linux[All Projects] Kernelpublic2014-10-01 10:462015-12-20 22:55
Reporterguest 
Assigned ToNico 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version14.09 
Target VersionKernel 4.3Fixed in VersionKernel 4.3 
Summary0000046: Allwinner Security System Cryptographic Accelerator
DescriptionA20 SOC has a hardware cryptographic accelerator called Security System which support AES/MD5/SHA1/DES/3DES/PRNG algorithms. This would help scp/sftp transfer
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000043)
guest (viewer)
2014-10-01 10:51

http://forum.lemaker.org/5937-1-1-very_slow_transfer_and_100_cpu_load.html [^]
(0000049)
guest (viewer)
2014-10-08 00:26

Is there actually a stable patch yet? The latest patch I found on mailinglists is v4 from July. And the comments to this patch look like it's not ready/safe for production use yet (have a look at the comments, especially to part 3/3):
https://lkml.org/lkml/2014/7/12/67 [^]
(0000064)
guest (viewer)
2014-10-23 23:50

There is a new version 5 of the patch available. It looks better, but there are still suggestions for further improvement.
(0000065)
guest (viewer)
2014-10-23 23:50

Forgot the link http://lists.infradead.org/pipermail/linux-arm-kernel/2014-October/295267.html [^]
(0000086)
Nico (manager)
2014-11-19 06:47

We want to provide a very stable Banana Pi as. Because of this we will wait until the next patch version and postpone the integration to our next main release.
(0000207)
sooperior (reporter)
2015-04-08 08:32

I couldn't find it, but it seems this driver has been updated recently
http://lists.infradead.org/pipermail/linux-arm-kernel/2015-March/331068.html [^]
(0000246)
sooperior (reporter)
2015-05-25 12:20

Another update, from May
https://groups.google.com/forum/#!topic/linux-sunxi/ojKaE80B-eg [^]
(0000297)
Nico (manager)
2015-12-20 22:49

Enabled (as a module) in Kernel 4.3

- Issue History
Date Modified Username Field Change
2014-10-01 10:46 guest New Issue
2014-10-01 10:51 guest Note Added: 0000043
2014-10-02 06:58 Nico Assigned To => Nico
2014-10-02 06:58 Nico Status new => assigned
2014-10-02 06:58 Nico Target Version => 14.11
2014-10-08 00:26 guest Note Added: 0000049
2014-10-23 23:50 guest Note Added: 0000064
2014-10-23 23:50 guest Note Added: 0000065
2014-11-19 06:46 Nico Target Version 14.11 => 15.04
2014-11-19 06:47 Nico Note Added: 0000086
2015-03-05 13:51 Nico Target Version 15.04 => later
2015-03-09 19:15 Nico Target Version later => 16.04
2015-04-08 08:32 sooperior Note Added: 0000207
2015-04-28 20:45 Nico Target Version 16.04 => later
2015-05-25 12:20 sooperior Note Added: 0000246
2015-12-20 22:49 Nico Note Added: 0000297
2015-12-20 22:49 Nico Status assigned => resolved
2015-12-20 22:49 Nico Fixed in Version => Kernel 4.3
2015-12-20 22:49 Nico Resolution open => fixed
2015-12-20 22:55 Nico Target Version later => Kernel 4.3


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker